commit d1acb1a9da6a8a062c15e016b3c379b127846a91
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 17 18:19:25 2026 -0700

    xload 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 731cc931846fd613a244fc32b72ccdc873e95823
Author: Thomas Klausner <wiz@gatalith.at>
Date:   Sun Aug 9 09:04:52 2026 -0700

    meson: deps needs to be initialized before it can be modified.
    
    Fix build on systems like NetBSD that need libintl for gettext()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/17>

commit 54c418c46a2f1353be47b6a7d1cdb8e06c45fe8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 19 15:00:19 2026 -0700

    xload 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62dddf6f1018db2ce9e5295e65f08c3a2523ec37
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 2 17:39:48 2026 -0700

    meson: include headers when checking for other functions
    
    Try to avoid the same problem fixed by the previous commit.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/15>

commit c6a9dc74fb136b4a1ce2d322fb6d9c1f02d2a4a5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 30 17:03:02 2026 -0700

    meson: include libintl.h when checking for gettext()
    
    Trying to workaround https://github.com/mesonbuild/meson/issues/3740
    which causes meson to fail to detect it needs to link against libintl
    for gettext() on NetBSD.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/15>

commit 4ac6abc9300504e89f02aa22f30905b79c2c4df3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 24 13:50:42 2026 -0700

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/14>

commit c7f22b55c6966f8eef4e0a1ec5a03fb49e73d00e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 24 11:25:10 2026 -0700

    Strip trailing whitespace from source files
    
    Performed with: `git ls-files | xargs perl -i -p -e 's{[ \t]+$}{}'`
    
    `git diff -w` & `git diff -b` show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/14>

commit ea20032cdd9344ca4dc240a44107d30892b52339
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/14>

commit 52c6fd2a0393d8cc0176dbafbd75fad178b66bb6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 09:12:30 2025 -0700

    man page: fix warnings from `mandoc -T lint`
    
    mandoc: xload.1:2:13: WARNING: cannot parse date, using it verbatim: TH xload 1.2.0
    mandoc: xload.1:24:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xload.1:55:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xload.1:17:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: xload.1:94:2: WARNING: skipping paragraph macro: PP empty
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/13>

commit c0497dad0bc0ca9a7c4c9b4aa3dea6c5584641c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 5 13:00:55 2025 -0700

    Improve man page formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xload/-/merge_requests/12>

commit 624100511d6ac22f254bcf7f0cde12febc2e74a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 24 09:59:41 2024 -0700

    xload 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 491660b263c06396d11655351a09d80eafb83fb9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 17 15:24:12 2024 -0800

    Use imdent to realign remaining pre-processer directives
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa11c30113115991cdc5f15042944cf5bab6eb0b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 17 15:21:12 2024 -0800

    unifdef __bsdi__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f15b8097a00299291263cfe64947942564ccc373
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 16:29:40 2024 -0800

    Use autoconf to check for <protocols/rwhod.h> instead of OS-specific ifdefs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de7b5bb18da4e5a626794db292f8b41d30aa2232
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:59:33 2024 -0800

    Use autoconf to check for <paths.h> instead of ifdef BSD
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f16d6f2c273c6896a4e79ac9db7a80c830794392
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:42:38 2024 -0800

    unifdef QNX4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f1ef1f0ac2a81b4aa59f1fba37ee11f6a0acbe22
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:41:48 2024 -0800

    unifdef att
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe24c5e19d4d309b4f3a3e435b9d834836312301
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:39:43 2024 -0800

    unifdef SVR4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7c97025b18baf00c81319c7a01120bd6417fdadf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:32:30 2024 -0800

    unifdef hpux
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4842fc779bc6bfc9ba932b2602d0166317b415d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:30:13 2024 -0800

    unifdef __osf__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0e0df8ca1d53fddeeddb918323050b9e9bbffd4a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:29:25 2024 -0800

    unifdef SYSV
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f971deabd26413efd6fa87c0c3ab2952bae163bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 23 18:17:04 2024 -0800

    configure: Use AC_SYS_LARGEFILE to enable large file support
    
    Handle files whose sizes, inode numbers, or timestamps may be
    out of range of the original 32-bit APIs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ebcdc687d02e34240bd98b9f1396225eee4e4240
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 23 18:15:13 2024 -0800

    Use asprintf() if available
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef450fb99630a406c4638d8ba251eac45e434411
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 11 12:51:58 2023 -0800

    Add -help and -version options
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7063169a70b6ce49de777f5daa1c256552a9e32a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 11 12:38:58 2023 -0800

    Print which arguments were unknown before giving usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8fc5bb64756ffae562032613bd5616481ec67f2d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 523cedbf302fea0b46cca88244fc97677216009a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 15 17:27:46 2022 -0700

    unifdef -UUSG
    
    USG was defined for a handful of pre-SVR4 systems based on
    AT&T's Unix System Group releases in the old imake configs
    and has never been defined in X11R7 modular builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f9450b897b16bc9b9940b137dd805d443be050e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 16:27:26 2022 -0700

    xload 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 74f67044d995d7f2c37943589724bfbd72aaa65f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 20 14:34:48 2022 -0700

    unifdef -Usgi
    
    SGI's End of Support Life for Irix was December 2013
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4908fbfb34d0dfb9dc36308a271fe280593c36b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 13 11:00:18 2022 -0700

    Use _CONST_X_STRING to make libXt declare String as const char *
    
    Clears 4 out of 24 -Wdiscarded-qualifiers warnings from gcc 7.3
    (The rest come from libX11's XrmOptionDescRec defined in Xresource.h.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d6a06b7204726af803e3d31e92fc193088c694c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 13 10:47:19 2022 -0700

    xload.man: remove out-of-date COPYRIGHT section
    
    The information previously listed here didn't match what is present in
    the source code or the COPYING file, and the X(7) man page doesn't list
    any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa31b5a446c538b4d009442af7c0c203116b9c76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 13 10:46:16 2022 -0700

    xload.man: adopt standard formatting for man page references
    
    Fixes: https://gitlab.freedesktop.org/xorg/app/xload/-/issues/2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 33515f139ecb3a254b9aa1e4d237a595032d74a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 15:19:02 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 965c749c2f1d2eca73cf5970d7fb9f1811b9958e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 15:18:59 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 454466e4e863fa86a79a3fe6edff1d5552c2f45d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 4 17:57:27 2020 -0800

    Fix formatting issues in xload man page
    
    Fixes: https://gitlab.freedesktop.org/xorg/app/xload/-/issues/1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f80d0c5023853de4038bcc8cffcffe6558262b72
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 23 10:15:41 2020 -0700

    Fix spelling/wording issues
    
    Found by using:
      codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 32c88fc4b23e75159c12aa33c277fe43e99b9f59
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:12:58 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2380579ba73fcb21f747a2e354251cb318f44816
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:31:55 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 57adc3d88856d96975479ba6a386ca1af1bc3cb8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 17:51:02 2018 -0800

    xload 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 09e23fa098ab44c5861afa0ad30032cede22e1a7
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit dafec869b1040ba26aa9b7411576293cbeaef227
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f137e5de4b21d253f5c0a475b347645145513a69
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 57e2f649e76cba9e9959ca072ba10285cd17a060
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Apr 21 13:10:48 2015 +0100

    Don't try to use [gs]et[ug]id on Win32
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: David Macek <david.macek.0@gmail.com>

commit 3d5d39cc98b4c5cbecbc1f10db1f6c01963efa94
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Apr 21 13:10:37 2015 +0100

    Use Windows load interface for Win32 build, as well as Cygwin
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: David Macek <david.macek.0@gmail.com>

commit 5c74908c5abe5f91651e78b291ef7e1d02cca25a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 22:14:29 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d036c3cb4c1e777ed65dfb9c59db6ec9229e6f5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 22:14:29 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23f4a318f3df9823aa2076616a7a06b3972e8d6b
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Dec 18 18:07:47 2013 +0000

    Use wrapped windows header to fix compilation for Cygwin
    
    xload uses a windows-specific interface to obtain the load average, as
    getloadavg() is not implemented for Cygwin.
    
    Including some versions of windows.h after including X11 headers can lead to
    compilation errors as 'Status' is used as a type name in Xlib.h, but a parameter
    or memeber name in Windows headers.
    
    Include X11/Xwindows.h rather than windows.h directly, which wraps it in a such
    way to avoid any conflict with X11 headers.
    
    In file included from /usr/include/w32api/minwindef.h:146:0,
                     from /usr/include/w32api/windef.h:8,
                     from /usr/include/w32api/windows.h:69,
                     from /jhbuild/checkout/xorg/app/xload/get_load.c:53:
    /usr/include/w32api/winnt.h:4951:15: error: two or more data types in declaration specifiers
           DWORD64 Status;
                   ^
    In file included from /usr/include/w32api/minwindef.h:146:0,
                     from /usr/include/w32api/windef.h:8,
                     from /usr/include/w32api/windows.h:69,
                     from /jhbuild/checkout/xorg/app/xload/get_load.c:53:
    /usr/include/w32api/winnt.h:5090:13: error: two or more data types in declaration specifiers
           DWORD Status;
                 ^
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit 0705cf954e2d92b379493accd1f0f984d87ec575
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 3 21:42:59 2013 -0700

    xload 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 51fd2af788ddf81b301f50050cf04e9bcba0f8e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 23:37:36 2013 -0700

    Add noreturn attribute to usage() as suggested by -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2f6ff61d2edbffdd2949a0546a7df67603462fca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 30 08:44:33 2013 -0700

    Use C99 struct initializers for XKeyboardControl values
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f8ad26dc4baed4c1807e23c1560907b0c145073
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 17:48:39 2013 -0800

    Use 'imdent' to make the deeply nested #ifdef levels easier to follow
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84e1b2ef03315927cb8a927bcecca73778e5f6c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 17:47:45 2013 -0800

    Cleanup trailing whitespace
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d436ab2166c03a54e58f6f4b48e876ba1c147d13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 13:05:45 2013 -0800

    Make getloadavg() the first choice on Unix systems that have it
    
    Only fall back to complex, platform specific code if the simpler,
    more portable option isn't found by configure.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b0613198f87af22be989fa54e785c64e147debb6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 12:53:08 2013 -0800

    unifdef -UX_NOT_POSIX
    
    This just provided a declaration for lseek() for some of the ancient
    Unix variants that were missing it in system headers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da4390ce2dbc08292833ba141a4a98ac3da9f0d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 12:49:56 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0e3449e7ac9fecfe9fbc51e0c132ebb32691ec66
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 12:48:49 2013 -0800

    unifdef -Usequent
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d496979565669a5590280eca717998470ab4ab9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 12:45:59 2013 -0800

    unifdef -Uhcx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0e301928d923d5ad875118e23ec6fdb4ae45f5d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:46:35 2013 -0800

    unifdef -UUTEK
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 85cf38eafaae6da715699e0209dbc4281b8c7453
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:45:18 2013 -0800

    unifdef -Ualliant
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f106ec95c47e6e36aaa24fa5ebfbfabc4203435
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:38:54 2013 -0800

    unifdef -Usony
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8bc6852a27343737d662f64c0523648f6fe14e43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:37:02 2013 -0800

    unifdef -Uumips
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a9c3d8ae9af214435eaf7741df0555e24f8dae45
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:32:56 2013 -0800

    unifdef -UMOTOROLA
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a7b2ab5abfbf557dc7f59bc3db15f3f580cbe1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:30:13 2013 -0800

    unifdef -UAIXV3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b7ac64d925d89d117ccf3c7165f3325be59264ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:29:03 2013 -0800

    unifdef -UCRAY
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8aa0329166dcb3ed4981ef0a782a475ced27f166
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 20 20:43:52 2013 -0800

    Combine usage message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a370e2ede4cff90f233a0249a0c34bef18f57907
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 12:10:16 2012 -0400

    Eliminate use of tab stops.  Helps with translation to DocBook.
    
    Signed-off-by: Eric S. Raymond <esr@thyrsus.com>

commit 632b2054421d43ad8cc63203412d4ee0209f27e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 22:43:58 2012 -0700

    xload 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c32c291c02cfd299d42e6d0b6560adcdabba7808
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 17 20:21:41 2012 -0800

    Solaris: use getloadavg from libc instead of kstats
    
    The simpler interface (based on the BSD function) has been in libc since
    Solaris 7, and avoids datasize bugs like the previous fix, so might as
    well use it.
    
    Purge all the other ancient Solaris & SunOS support variants as well.
    
    This does mean if you want to keep running xload on a Sun OS version from
    before 1998 you will need to use a branch of xload from before 2012 (such
    as the one included in those old releases).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4a54dee95260d36d0c8b5f8a35ac905f36b36f17
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 17 20:05:45 2012 -0800

    Solaris: Read avenrun_1min kstat as a uint32, not a long
    
    Fixes garbage data & crashes when built as a 64-bit binary on
    Solaris SPARC, since the high 32-bits was being filled with randomness.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Arvind Umrao <arvind.umrao@oracle.com>
    Reviewed-by: Jay Cotton <jay.cotton@oracle.com>

commit 1918be9695e0e912cb536373dd3da385473ab9e5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 18:35:17 2011 -0800

    Remove DG/UX support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f2b4a35060e6ebe55846b62780ca01c6d519c84f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 18:26:38 2011 -0800

    Convert sprintf to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fad963fc4d1d8dc0a860ee3c7e3280a13124e296
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 18:04:26 2011 -0800

    Mark domaindir variable as const char * for gcc -Wwrite-strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7cccec04962741b0d37bc92e580e1029b2d49849
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 18:01:35 2011 -0800

    Mark xload_error as noreturn
    
    Silences a gcc warning
    Raises the minimum version of xproto needed to build to 7.0.17
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ec57ead120a3d42afcb76da012109dd713f12d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 17:55:39 2011 -0800

    Mark string arguments to xload_error as const char * for gcc -Wwrite-strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a53164911c182e73a03eb2eceaa5dfa81f4f98c3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 822065fd4d359f0a0147168a3056ffe2acc485f7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 26201189d66f48451bd6cc31288a38d8c7378720
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6f4a03f20a9d268850727dc330e83978cdba2253
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b6e677512cf4ef9999846492100824c9e2a68ab6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 19:37:11 2010 -0800

    Purge RCS/CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 83746b56b235a0bc4d30dcfd470f6d536333a502
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 19:33:28 2010 -0800

    Remove ancient Domain/OS support (unifdef -Uapollo)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3725bfb525de82b7c27d02476a2486e1fe343fd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 19:31:32 2010 -0800

    Remove ancient A/UX support (unifdef -UmacII)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5d8db8b359c13b8a48060cbaa0fda358913c8b36
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 19:26:28 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e25648983336d4ed3b56ba3d295208f265f95ce2
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Oct 4 22:00:57 2010 -0500

    Fix old-style function definitions on Cygwin
    
    get_load.c: In function ‘InitLoadPoint’:
    get_load.c:74:6: warning: old-style function definition
    get_load.c: In function ‘GetLoadPoint’:
    get_load.c:92:6: warning: old-style function definition
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Tested-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit 1652442c2f82d30d0ed4d9cfbd6d3725b09f4a29
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Oct 4 21:43:47 2010 -0500

    Avoid excess Win32 includes on Cygwin
    
    Fixes compilation errors due to recent w32api <winspool.h>, which is
    not needed to compile xload.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Tested-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit 600c46eaccd89417a5e44e86d18f9c733af64dc9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 13:06:17 2010 -0700

    xload 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a17373f8d3181b8dc2e86d9cadc04cd97f7b5e5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:49:06 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e1374266ef546a77218ec9bc00e12de142d888a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f77024a7f7e25bf10b945a0240eb34b532fccbe7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 09:23:58 2010 -0700

    Sun copyrights are now owned by Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f1dc039a28e15b20037fd0e3a359712cacf269c9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 18:14:35 2010 -0700

    Xmu functions are called directly, so include it in PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4efb36a101d94b678fc1996b035038a1e03d5165
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 18:11:32 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use XORG_DEFAULT_OPTIONS provided $(SED)
    Use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c57e77c5620dbf2573e630a4eceec5dd5c5985d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 31 17:07:36 2010 -0400

    config: ignore xload.po when using GETTEXT
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a458825e9c6afe109460ebc1d0ca1fc08c6661a1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 31 16:52:55 2010 -0400

        config: update and relocate AX_DEFINE_DIR macro
    
        Remove deprecated acinclude.m4 macro container file
        Use separate macro files as per autoconf recommendation
        Use the latest macro from GNU
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 396dd7f191773a903dc13f476e0f968dc1645407
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Feb 14 15:20:30 2010 +0100

    Let xload build on systems without gettext().
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 36659aa666808e5b42f5d98bce8f84bf82e88c0e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 22:20:56 2010 -0800

    Integrate gettext support with autotools build system
    
    Mostly cribbed from prior work for libXpm
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6d96dd3d2df7d896a41d770ba380629948ead4d6
Author: Jay Hobson <jay.hobson@sun.com>
Date:   Fri Aug 25 14:29:09 2000 -0700

    Internationalize xload: Call gettext on strings printed to stderr
    
    Originally done for Solaris 9 to fix Sun bug 4365629
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=4365629
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d957cad1a453a84309cef3e30237c39d0541ecc4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 21:22:39 2010 -0800

    Use automake silencer on man page generation too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 67b8eba82dba74f12f1ee4fac6f5ee8968b1f14c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 21:20:50 2010 -0800

    Move CWARNFLAGS addition from configure.ac to Makefile.am
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a6040d867412b88e0586665079b96c0725b0a42c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 21:16:53 2010 -0800

    Raise xorg-macros requirement to 1.4
    
    Needed since the changes in f5eb18cefb774c5a5d43923d21b61c180a96b8ad
    depend on the INSTALL file delivered in xorg-macros 1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0ddbf8aa2a67fb7a6b06c00b5ce2a654bd41c8df
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:48 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f8bd2a195bd12161ba1fe16ef3e8ac0013d6eec2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit f5eb18cefb774c5a5d43923d21b61c180a96b8ad
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit c9117984a135aab376978da41ea31aba3ce34f3b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 187d6b083f5ae87ce7d10ce1b263c9d32bcfaa73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 038407d1c5f4ee08cca7c23476fd9dae06a0080f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 141aa01f04e98d6e7ddf15726da85e3f2b8b71ab
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:25 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 68bad5a59d3619372cb4a48563f5c7423f54163d
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 22 15:31:58 2009 -0200

    Correct make distcheck and sparse warnings.

commit 0436471fd8007826d40a2f57710e9964c0768d50
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 16 18:44:12 2008 -0300

    Compile warning fixes.
    
      Ansify some functions with K&R definitions.

commit b91f8e903b1004a35dfe01204852c628367475b7
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:51 2008 -0400

    xaw8 is gone, use xaw7

commit 5c84833c7f383685763550a348a3493025948cba
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 7 18:52:39 2008 -0700

    Fill in COPYING file

commit e80401dc35403df68532b8e80c32452f7a7f02f3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 7 18:43:26 2008 -0700

    Update man page to note that /dev/kmem access is only on old platforms

commit 59281ce7182a7fb679339af89a1dc72e0695b7ab
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 16 14:20:03 2008 +0200

    $(builddir) is the current directory
    
    Apparently automake doesn't always export the builddir variable.
    This fixes my previous commit.

commit d6bf0deb5ad6b540246b23a46fa2b5d21cd9b02c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue May 6 02:02:00 2008 -0700

    __DARWIN__ -> __APPLE__
    https://bugs.freedesktop.org/show_bug.cgi?id=9017

commit d1e5eb3dff370bb7c65a62dbe3ba0822b86aecbc
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:20:51 2008 +0200

    Fix build with builddir != srcdir

commit 5e806152643740057bd43869122ea8ff05a9d384
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:18:19 2008 +0200

    Use AM_CFLAGS instead of xload_CFLAGS and remove AM_PROG_CC_C_O

commit 771817cc3923a0f142b941234047fa0020cb231d
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:27:49 2008 -0700

    Added missing AM_PROG_CC_C_O

commit 9004465b586104fed48bb301de843003c1fa2ad0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:07:47 2008 -0700

    Build fix for file systems that are not case sensitive

commit 2d8250c1d56dc20f7afc3b3a155bcf8ac4cb7e9f
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:20 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 5c043a1cec89e884593f541f59b8abd237d91e50
Author: Peter Dyballa <Peter_Dyballa@Freenet.DE>
Date:   Mon Sep 24 14:13:39 2007 -0700

    Bug #12534: nlist() needs to be handled differently in Mac OS X
    
    X.Org Bugzilla #12534 <https://bugs.freedesktop.org/show_bug.cgi?id=12534>
    Patch #11704 <https://bugs.freedesktop.org/attachment.cgi?id=11704>

commit 91088ab94b28877ca85151c1d1cf241f8e775555
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:30 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 6d6757b2e0abe6811aeec72fc4835748801cdcd4
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:57 2007 -0400

    Rename .cvsignore to .gitignore

commit 8a4ffe593e55cc618599fcd9d643d799debe546a
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Thu Mar 22 00:30:44 2007 -0500

    Update version for another release.

commit 1dbb7df5ccec3e3d9fecded33850730486d6374d
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Jun 20 19:25:51 2006 +0000

    Check setuid() return value. Bugzilla #7116.

commit 382ca2392d31870cfb4b8b01cd2751040c479f86
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:51 2005 +0000

    Update package version for X11R7 release.

commit 3d963be1c92843f29e331c7f4228473507f537ff
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:45 2005 +0000

    Stub COPYING files

commit d16274715e8f529a89d01d4be1e26e9f08a6565d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:08 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 93d83b89292b73fa6d1a48064e4730f43a6fce3e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:18:00 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit ade038820780c806a8f43fadf2f9c9f4df50478d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:23 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 3fd55a3ea19b8c09caa10b4a9134b4a18b240975
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:25 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 9a3724aed228bbbd3294141d1a01c06fff6480f3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:44 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit b589edc59845fd9b86f825597af6bb33dec13934
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:02 2005 +0000

    Another pass at .cvsignores for apps.

commit dfd95c81cc88972565c79cb78b42e1780638a504
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:53 2005 +0000

    Add/improve .cvsignore files for apps.

commit 3fedcca82c2c9d55938928d25015720c8324e6a6
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:55 2005 +0000

    Update package version number for RC1 release.

commit d872304e1e6aab8cf83f09cc3090f45cc245e5fa
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:54 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit 0620fa99ef09fb0401e842dfeb9aa76b8d403ac6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:23 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 90ecdb5eb628266037755e3b0be48f13d703b8e5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:46 2005 +0000

    Use sed to fill in variables in man page

commit 09af03bf3b2f573c0b58c8a5fd84af1772707c6f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Oct 2 21:17:48 2005 +0000

    Bug #3811 <https://bugs.freedesktop.org/show_bug.cgi?id=3811> GNU/kFreeBSD
        support for xload & memleak (Robert Millan)

commit 80cf9497a8c7776e67377a0d1eb623739206b695
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:30 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 5d24389cad4d0669e1ec109a84fb0315805c0e66
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:35 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 3fa36d6e984b2f5c2958d078ff19c1a3cf46f9b6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 27 00:41:27 2005 +0000

    Add check for libkstat to get load averages on Solaris

commit f61e34fce870f45136a2cfcb73133b63df5321af
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 27 00:34:57 2005 +0000

    Switch xload on Solaris from libkvm to libkstat so it works with both
        32-bit and 64-bit kernels, and without group kmem. Add #include
        "config.h" for modularization

commit 662e42f98213df8dc834fa6be7b83e99cc07bacc
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 15:44:02 2005 +0000

    Replace more GNU make-ism's with more portable macros

commit 52bbf03241ae94019be87858375b6e77b96ad3a6
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 23 16:38:19 2005 +0000

    fix GNU-make only app-default rule

commit 4cb25771597a2e1102bf5fd91e6cabf191eeecf2
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:57 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 62d4ea34f0fd64e258abb993004c8966eecc6cf7
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 5 22:36:58 2005 +0000

    Build system for xload

commit f74edc7a9e0494657c36f34208141f6a2aa3e1f9
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:57 2004 +0000

    Merging XORG-CURRENT into trunk

commit cc45a7487b867b181a5615eef75519d22f91d4f8
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:37 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 89d070def1fb7c692443c9dc2aee49424193cf45
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:14 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 90d8b0a47218ed5a024ac3b0cde9cc6bc0bb684a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 9d4dadc605b80ae83864242fb3d997bd511c7205
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 8c79399521f61d18280f0096d77338cfc4664490
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:09:16 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 7cc0e6a6b51025d08ec9c6a17b3f514ebaa80fdc
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:56:01 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 57ef7c68cb375b3361ff5381b494ff52c1e77807
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:03:56 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit c9e855362fe29db861bf847ec714f1b0ce3237a1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:14 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 346b7376f252cbab44456541dd917489b6b25d35
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit 0f22ecbb798add2e02b586894434884765f7daae
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    Initial revision
